use strict;
use warnings;
use Net::DAV::Server;
use Filesys::Virtual::FFRIndexed;
use HTTP::Daemon;
use Cwd;

my $cwd = cwd;
warn $cwd;

my $filesys = Filesys::Virtual::FFRIndexed->new({
        #root_path => '/mime_type:audio%2fmpeg',
        root_path => '/artist:Depeche Mode',
        dsn => "dbi:SQLite:dbname=bin/server.pl.sqlite",
        verbose => 1,
        columns => [qw[mime_type artist album track title ]],
});
my $webdav = Net::DAV::Server->new();
$webdav->filesys($filesys);

my $d = HTTP::Daemon->new(
    #LocalAddr => 'localhost',
    LocalPort => 4243,
    ReuseAddr => 1) || die;
print "Please contact me at: ", $d->url, "\n";
while (my $c = $d->accept) {
    while (my $request = $c->get_request) {
        print $request->as_string;
        my $response = $webdav->run($request);
        $c->send_response ($response);
    }
    $c->close;
    undef($c);
}