#!/usr/bin/perl -w
use strict;
use Test::More tests => 6;

use_ok 'SQL::Abstract::Clauses';

my $s = SQL::Abstract::Clauses->new();
isa_ok( $s, 'SQL::Abstract::Clauses' );

my ($sql,@bind) = $s->having( { col_count => 5 });

my $target = <<SQL;
HAVING ( col_count = ? )
SQL

s!\s+! !gsm
  for $sql, $target;

s!\s+$!!gsm
  for $sql, $target;

is $sql, $target, "We generated the expected SQL";

is_deeply \@bind, [ 5 ], "SQL parameters are correct";

($sql,@bind) = $s->having( { col_count => { '>' => 5 }});

$target = <<SQL;
HAVING ( col_count > ? )
SQL

s!\s+! !gsm
  for $sql, $target;

s!\s+$!!gsm
  for $sql, $target;

is $sql, $target, "We generated the expected SQL";

is_deeply \@bind, [ 5 ], "SQL parameters are correct";